Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.progress
Interface IWorkbenchSiteProgressService

All Superinterfaces:
  IProgressService, IRunnableContext

public interface IWorkbenchSiteProgressService
extends IProgressService

IWorkbenchPartProgressService is an IProgressService that adds API for jobs that change the state in a IWorkbenchPartSite while they are being run. WorkbenchParts may access an instance of IWorkbenchSiteProgressService by calling `getSite.getAdapter(IWorkbenchSiteProgressService.class);` This interface is not intended to be implemented by client plug-ins.

Since:
  3.0
See Also:
  `IAdaptable.getAdapter(Class)`

Field Summary
`static String` | `BUSY_PROPERTY` The property that is sent with busy notifications.

Method Summary
`void` | `schedule(Job job)` Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void` | `schedule(Job job, long delay)` Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void` | `schedule(Job job, long delay, boolean useHalfBusyCursor)` Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void` | `showBusyForFamily(Object family)` Show busy state if any job of the specified family is running.
`void` | `warnOfContentChange()` Warn that the content of the receiver has changed.

Methods inherited from interface org.eclipse.ui.progress.IProgressService
`busyCursorWhile, getIconFor, getLongOperationTime, registerIconForFamily, runInUI, showInDialog`

Methods inherited from interface org.eclipse.jface.operation.IRunnableContext
`run`

Field Detail

### BUSY_PROPERTY

    public static final String BUSY_PROPERTY

  The property that is sent with busy notifications.

  See Also:
    Constant Field Values

Method Detail

### schedule

    public void schedule(Job job,
                         long delay,
                         boolean useHalfBusyCursor)

  Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes. Parts can also add customized busy indication by overriding `WorkbenchPart.setBusy()`. If useHalfBusyCursor is true then the cursor will change to the half busy cursor for the duration of the job.

  Parameters:
    `job` - The job to schedule
    `delay` - The delay in scheduling.
    `useHalfBusyCursor` - A boolean to indicate if the half busy cursor should be used while this job is running.
  See Also:
    `Job.schedule(long)`

### schedule

    public void schedule(Job job,
                         long delay)

  Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes. Parts can also add customized busy indication by overriding `WorkbenchPart.setBusy`.

  Parameters:
    `job` - The job to schedule
    `delay` - The delay in scheduling.
  See Also:
    `Job.schedule(long)`

### schedule

    public void schedule(Job job)

  Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes. Parts can also add customized busy indication by overriding `WorkbenchPart.setBusy`.

  Parameters:
    `job` - The job to schedule
  See Also:
    `Job.schedule()`

### showBusyForFamily

    public void showBusyForFamily(Object family)

  Show busy state if any job of the specified family is running.

  Parameters:
    `family` - Object
  See Also:
    `Job.belongsTo(Object)`

### warnOfContentChange

    public void warnOfContentChange()

  Warn that the content of the receiver has changed. The method of this is determined by how the presentation shows this.

  See Also:
    `IPresentablePart.PROP_HIGHLIGHT_IF_BACK`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.